// -----------------------------------------------------------------------
// MatchPoint - DKFZ translational registration framework
//
// Copyright (c) German Cancer Research Center (DKFZ),
// Software development for Integrated Diagnostics and Therapy (SIDT).
// ALL RIGHTS RESERVED.
// See mapCopyright.txt or
// http://www.dkfz.de/en/sidt/projects/MatchPoint/copyright.html
//
// This software is distributed WITHOUT ANY WARRANTY; without even
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the above copyright notices for more information.
//
//------------------------------------------------------------------------
/*!
// @file
// @version $Revision: 797 $ (last changed revision)
// @date    $Date: 2014-10-10 11:42:05 +0200 (Fr, 10 Okt 2014) $ (last change date)
// @author  $Author: floca $ (last changed by)
// Subversion HeadURL: $HeadURL: http://svn.dkfz-heidelberg.de/sbr/Sources/SBR-Projects/MatchPoint/trunk/Code/Algorithms/ITK/include/mapITKBSplineInterpolateImageFunction.h $
*/


#ifndef __MAP_ITK_BSPLINE_INTERPOLATE_IMAGE_FUNCTION_H
#define __MAP_ITK_BSPLINE_INTERPOLATE_IMAGE_FUNCTION_H

/* This header is a simple pass through of the itk header. It is a convinience to allow MatchPoint
   developers to use the include style for all itk algorithm components.*/
#include "itkBSplineInterpolateImageFunction.h"

#endif
